// =====================
// BATTLEZONE BASE PANEL
// =====================

//
// CREATE BASE PANEL
//
CreateControl("BasePanel", "STATIC")
{
	Pos(5, 5);
	Size(208, 54);
	Style("TRANSPARENT");

	CreateControl("Power", "STATIC")
	{
		Pos(0, 0);
		Size(38, 50);
		Image("base_icon_bg.tga", 38, 50);

		CreateControl("Icon", "STATIC")
		{
			ColorGroup("GROUPICON");
			Pos(3, 0);
			Size(32, 32);
			Image("icon_base.tga");
		}

		CreateControl("Text", "STATIC")
		{
			Pos(0, 32);
			Size(38, 9);
			Style("TRANSPARENT");

			Font("SMALL");
			Text("%+d");
			UseVar("control.base.power");
		}
	}

	CreateControl("Nav", "BUTTON")
	{
		Pos(45, 0);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(0);
		
		NotifyParent("Button::Select", "Nav");

		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("~");

			UseVar("control.base.select");
			Value(0);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(0);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_nav.tga");
			}
		}
	}
	
	OnEvent("Nav")
	{
		Cmd("control.base.nav");
	}

	CreateControl("Base1", "BUTTON")
	{
		Pos(90, 0);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(1);

		NotifyParent("Button::Select", "Base1");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("1");

			UseVar("control.base.select");
			Value(1);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(1);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_recy.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base1")
	{
		Cmd("control.base.set1");
	}

	CreateControl("Base2", "BUTTON")
	{
		Pos(130, 0);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(2);

		NotifyParent("Button::Select", "Base2");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("2");

			UseVar("control.base.select");
			Value(2);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(2);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_recy.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base2")
	{
		Cmd("control.base.set2");
	}

	CreateControl("Base3", "BUTTON")
	{
		Pos(170, 0);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(3);

		NotifyParent("Button::Select", "Base3");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("3");

			UseVar("control.base.select");
			Value(3);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(3);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_recy.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base3")
	{
		Cmd("control.base.set3");
	}

	CreateControl("Base4", "BUTTON")
	{
		Pos(90, 60);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(4);

		NotifyParent("Button::Select", "Base4");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("4");

			UseVar("control.base.select");
			Value(4);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(4);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_recy.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base4")
	{
		Cmd("control.base.set4");
	}

	CreateControl("Base5", "BUTTON")
	{
		Pos(130, 60);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(5);

		NotifyParent("Button::Select", "Base5");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("5");

			UseVar("control.base.select");
			Value(5);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(5);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_fact.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base5")
	{
		Cmd("control.base.set5");
	}

	CreateControl("Base6", "BUTTON")
	{
		Pos(170, 60);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(6);

		NotifyParent("Button::Select", "Base6");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("6");

			UseVar("control.base.select");
			Value(6);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(6);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_armo.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base6")
	{
		Cmd("control.base.set6");
	}

	CreateControl("Base7", "BUTTON")
	{
		Pos(90, 120);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(7);

		NotifyParent("Button::Select", "Base7");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("7");

			UseVar("control.base.select");
			Value(7);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(7);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_misl.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base7")
	{
		Cmd("control.base.set7");
	}

	CreateControl("Base8", "BUTTON")
	{
		Pos(130, 120);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(8);

		NotifyParent("Button::Select", "Base8");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("8");

			UseVar("control.base.select");
			Value(8);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(8);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_artil.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base8")
	{
		Cmd("control.base.set8");
	}

	CreateControl("Base9", "BUTTON")
	{
		Pos(170, 120);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(9);

		NotifyParent("Button::Select", "Base9");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("9");

			UseVar("control.base.select");
			Value(9);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(9);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_recy.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base9")
	{
		Cmd("control.base.set9");
	}

	CreateControl("Base10", "BUTTON")
	{
		Pos(450, 0);
		Size(38, 54);
		Style("TRANSPARENT", "ROLLOVER", "RADIO");
		
		UseVar("control.base.select");
		Value(10);

		NotifyParent("Button::Select", "Base10");
		
		CreateControl("Label", "BUTTON")
		{
			Pos(0, 0);
			Size(38, 13);
			Image("colorize.tga", 89, 17);
			Style("INERT", "ROLLOVER", "RADIO");
			Font("MEDIUM");
			Text("10");

			UseVar("control.base.select");
			Value(10);
		}

		CreateControl("Back", "BUTTON")
		{
			ColorGroup("GROUPBACK");
			Pos(0, 13);
			Size(38, 41);
			Image("colorize.tga", 89, 30);
			Style("INERT", "ROLLOVER", "RADIO");

			UseVar("control.base.select");
			Value(10);

			CreateControl("Icon", "STATIC")
			{
				ColorGroup("GROUPICON");
				Pos(3, 0);
				Size(32, 32);
				Image("icon_base_recy.tga");
			}

			CreateControl("Light", "STATIC")
			{
				ColorGroup("WHITE");
				Pos(4, 32);
				Size(2, 5);
			}
		}
	}

	OnEvent("Base10")
	{
		Cmd("control.base.set10");
	}
}
